package holo.bolt.world.map.tile;

import holo.bolt.entity.Entity;
import holo.bolt.entity.EntityPlayer;
import holo.bolt.render.Render;
import holo.bolt.render.TileRender;

public class TileLadder extends InteractableTile
{
	public int used;
	public Render render;
	
	public TileLadder(float[] position)
	{
		super(position);
		used = 0;
		render = new TileRender(this);
	}

	@Override
	public int uses()
	{
		return 1;
	}

	@Override
	public int used()
	{
		return used;
	}

	@Override
	public void performUse(EntityPlayer player)
	{
		player.world.nextLevel();
	}

	@Override
	public String textureLoc2()
	{
		return null;
	}

	@Override
	public int getTileID()
	{
		return 9;
	}

	@Override
	public boolean collidable()
	{
		return true;
	}

	@Override
	public Render getRenderer()
	{
		return render;
	}

	@Override
	public String textureLoc()
	{
		return "res/Ladder.png";
	}

	@Override
	public void onCollideWithEntity(Entity entity)
	{
		
	}

	@Override
	public String getDescription()
	{
		return "Proceed to next level.";
	}

}
